AbstractEndpoint.Handler (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: AbstractEndpoint, interface: Handler

# Interface AbstractEndpoint.Handler<S>

Type Parameters:
  `S` - The type of the socket wrapper

All Known Implementing Classes:
  `AbstractProtocol.ConnectionHandler`

Enclosing class:
  `AbstractEndpoint<S,U>`

public static interface AbstractEndpoint.Handler<S>
Interface for handlers used by an endpoint.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `AbstractEndpoint.Handler.SocketState`
  Different types of socket states to react upon.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getGlobal()`
  Obtain the GlobalRequestProcessor associated with the handler.
  `void`
  `pause()`
  Inform the handler that the endpoint has stopped accepting any new connections.
  `AbstractEndpoint.Handler.SocketState`
  `process(SocketWrapperBase<S> socket, SocketEvent status)`
  Process the provided socket with the given current status.
  `void`
  `recycle()`
  Recycle resources associated with the handler.
  `void`
  `release(SocketWrapperBase<S> socketWrapper)`
  Release any resources associated with the given SocketWrapper.

- ## Method Details

  - ### process

    AbstractEndpoint.Handler.SocketState process(SocketWrapperBase<S> socket, SocketEvent status)
    Process the provided socket with the given current status.
    Parameters:
      `socket` - The socket to process
      `status` - The current socket status
    Returns:
      The state of the socket after processing

  - ### getGlobal

    Object getGlobal()
    Obtain the GlobalRequestProcessor associated with the handler.
    Returns:
      the GlobalRequestProcessor

  - ### release

    void release(SocketWrapperBase<S> socketWrapper)
    Release any resources associated with the given SocketWrapper.
    Parameters:
      `socketWrapper` - The socketWrapper to release resources for

  - ### pause

    void pause()
    Inform the handler that the endpoint has stopped accepting any new connections. Typically, the endpoint will be stopped shortly afterwards but it is possible that the endpoint will be resumed so the handler should not assume that a stop will follow.

  - ### recycle

    void recycle()
    Recycle resources associated with the handler.